
TYPO3.Flow - Bug # 36159

Status: Resolved Priority: Should have
Author: Christian Müller Category:
Created: 2012-04-16 Assigned To:
Updated: 2013-03-27 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git master
Subject: StringLengthValdiator uses strlen which is not UTF-8 save
Description

Will probably result in not correctly validated obejcts. How to abstract UTF-8 save string length functions like mb_strlen?

Associated revisions
Revision e32d5e69 - 2013-03-26 15:55 - Christian Müller

[BUGFIX] StringLengthValidator should use UTF-8 safe function

StringLengthValidator no longer uses strlen to determine the
length of the string to be validated but uses the
Utility\Unicode\Functions::strlen method which relies on
mb_string internally.

Change-Id: I3054a497173f0bd35f7054a073d90c5bdf710ea8
Fixes: #36159
Releases: master, 2.0, 1.1

Revision 33ca0190 - 2013-03-26 16:01 - Christian Müller

[BUGFIX] StringLengthValidator should use UTF-8 safe function

StringLengthValidator no longer uses strlen to determine the
length of the string to be validated but uses the
Utility\Unicode\Functions::strlen method which relies on
mb_string internally.

Change-Id: I3054a497173f0bd35f7054a073d90c5bdf710ea8
Fixes: #36159
Releases: master, 2.0, 1.1

Revision 39431120 - 2013-03-26 16:05 - Christian Müller

[BUGFIX] StringLengthValidator should use UTF-8 safe function

StringLengthValidator no longer uses strlen to determine the
length of the string to be validated but uses the
Utility\Unicode\Functions::strlen method which relies on
mb_string internally.

Change-Id: I3054a497173f0bd35f7054a073d90c5bdf710ea8
Fixes: #36159
Releases: master, 2.0, 1.1

Revision fc822cd3 - 2013-03-27 12:05 - Christian Müller

[BUGFIX] StringLengthValidator should use UTF-8 safe function

StringLengthValidator no longer uses strlen to determine the
length of the string to be validated but uses the
Utility\Unicode\Functions::strlen method which relies on
mb_string internally.

Change-Id: I3054a497173f0bd35f7054a073d90c5bdf710ea8
Fixes: #36159
Releases: master, 2.0, 1.1

History
#1 - 2013-02-19 21:52 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18384

#2 - 2013-02-19 21:59 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18384

#3 - 2013-02-19 21:59 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18384

#4 - 2013-02-27 17:52 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18384

#5 - 2013-03-26 15:56 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18384
#6 - 2013-03-26 16:01 - Gerrit Code Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/19300

#7 - 2013-03-26 16:05 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at https://review.typo3.org/19301

#8 - 2013-03-26 16:39 - Christian Müller
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:39431120a7260dd687688ce7880219fb1eb80f34.

#9 - 2013-03-27 12:08 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch composer has been pushed to the review server.
It is available at https://review.typo3.org/19380

#10 - 2013-03-27 13:37 - Christian Müller
- Status changed from Under Review to Resolved

Applied in changeset commit:fc822cd3bf00ea26ae3b449080cb69c3a9790453.
